begin;
attach database 'baseball-raw.db' as 'raw';

create temp table fielding as
select * from "raw".fielding;

alter table fielding drop column "lgID";
alter table fielding drop column "teamID";

CREATE TABLE IF NOT EXISTS main."fielding" (
	"player"	TEXT,
	"year"	NUMERIC,
	"stint"	NUMERIC,
	"POS"	TEXT,
	"G"	NUMERIC,
	"GS"	NUMERIC,
	"InnOuts"	NUMERIC,
	"PO"	NUMERIC,
	"A"	NUMERIC,
	"E"	NUMERIC,
	"DP"	NUMERIC,
	"PB"	NUMERIC,
	"WP"	NUMERIC,
	"SB"	NUMERIC,
	"CS"	NUMERIC,
	"ZR"	NUMERIC,
	PRIMARY KEY("player","year","stint","POS"),
	foreign key("year","player","stint") references "playerstints"("year","player","stint")
);

insert into main.fielding select distinct * from temp."fielding";
commit;
